## r-cran-gridtext 0.1.5

=== DESCRIPTION ===
Package: gridtext
Type: Package
Title: Improved Text Rendering Support for 'Grid' Graphics
Version: 0.1.5
Authors@R: 
    c(
      person(
        given = "Claus O.",
        family = "Wilke",
        role = c("aut"),
        email = "wilke@austin.utexas.edu",
        comment = c(ORCID = "0000-0002-7470-9261")
      ),
      person(
        given = "Brenton M.",
        family = "Wiernik",
        role = c("aut", "cre"),
        email = "brenton@wiernik.org",
        comment = c(ORCID = "0000-0001-9560-6336", Twitter = "@bmwiernik")
      )
    )
Description: Provides support for rendering of formatted text using 'grid' graphics. Text can be
    formatted via a minimal subset of 'Markdown', 'HTML', and inline 'CSS' directives, and it can be
    rendered both with and without word wrap.
URL: https://wilkelab.org/gridtext/
BugReports: https://github.com/wilkelab/gridtext/issues
License: MIT + file LICENSE
Depends: R (>= 3.5)
Imports: curl, grid, grDevices, markdown, rlang, Rcpp, png, jpeg,
        stringr, xml2
Suggests: covr, knitr, rmarkdown, testthat, vdiffr
LinkingTo: Rcpp
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2022-09-15 13:49:42 UTC; brentonw
Author: Claus O. Wilke [aut] (<https://orcid.org/0000-0002-7470-9261>),
  Brenton M. Wiernik [aut, cre] (<https://orcid.org/0000-0001-9560-6336>,
    @bmwiernik)
Maintainer: Brenton M. Wiernik <brenton@wiernik.org>
Repository: CRAN
Date/Publication: 2022-09-16 11:16:15 UTC

## r-cran-gridtext 0.1.1

=== debian/changelog ===
r-cran-gridtext (0.1.1-1) unstable; urgency=medium

  * Initial release (closes: #964743)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jul 2020 22:37:22 +0200

=== debian/control ===
Source: r-cran-gridtext
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-markdown,
               r-cran-rlang,
               r-cran-rcpp,
               r-cran-rcurl,
               r-cran-png,
               r-cran-jpeg,
               r-cran-stringr,
               r-cran-xml2,
               r-cran-testthat
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridtext
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridtext.git
Homepage: https://cran.r-project.org/package=gridtext
Rules-Requires-Root: no

Package: r-cran-gridtext
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R improved text rendering support for 'Grid' graphics
 Provides support for rendering of formatted text using 'grid' graphics.
 Text can be formatted via a minimal subset of 'Markdown', 'HTML', and
 inline 'CSS' directives, and it can be rendered both with and without
 word wrap.

## r-cran-gridtext 0.1.4

=== debian/changelog ===
r-cran-gridtext (0.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 23:34:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-markdown,
@@ -14,9 +14,8 @@
                r-cran-png,
                r-cran-jpeg,
                r-cran-stringr,
-               r-cran-xml2,
-               r-cran-testthat
-Standards-Version: 4.5.0
+               r-cran-xml2
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridtext
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridtext.git
 Homepage: https://cran.r-project.org/package=gridtext

## r-cran-gridtext 0.1.5

=== debian/changelog ===
r-cran-gridtext (0.1.5-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039652
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 15:12:26 +0200

r-cran-gridtext (0.1.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Sep 2022 11:39:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: r-cran-gridtext
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridtext
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridtext.git
+Homepage: https://cran.r-project.org/package=gridtext
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-curl,
                r-cran-markdown,
                r-cran-rlang,
                r-cran-rcpp,
-               r-cran-rcurl,
                r-cran-png,
                r-cran-jpeg,
                r-cran-stringr,
                r-cran-xml2
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridtext
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridtext.git
-Homepage: https://cran.r-project.org/package=gridtext
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-gridtext
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gridtext_([-\d.]*)\.tar\.gz

## r-cran-gridtext 0.1.6

=== debian/changelog ===
r-cran-gridtext (0.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Fri, 27 Feb 2026 14:18:53 +0900

=== debian/control ===
Source: r-cran-gridtext
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-curl,
 r-cran-markdown,
 r-cran-rlang,
 r-cran-rcpp,
 r-cran-png,
 r-cran-jpeg,
 r-cran-stringr,
 r-cran-xml2,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridtext
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridtext.git
Homepage: https://cran.r-project.org/package=gridtext
Rules-Requires-Root: no

Package: r-cran-gridtext
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Improved Text Rendering Support for 'Grid' Graphics
 Provides support for rendering of formatted text using 'grid' graphics.
 Text can be formatted via a minimal subset of 'Markdown', 'HTML',
 and inline 'CSS' directives, and it can be rendered both with and
 without word wrap.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-testthat,
 r-cran-vdiffr,
